---
title: llarp::vpn::InterfaceInfo

---

# llarp::vpn::InterfaceInfo





## Public Functions

|                | Name           |
| -------------- | -------------- |
| net::ipaddr_t | **[operator[]](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md#function-operator[])**(size_t idx) const<br>get address number N  |
| | **[InterfaceInfo](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md#function-interfaceinfo)**() =default |
| | **[InterfaceInfo](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md#function-interfaceinfo)**([IPRange](Classes/structllarp_1_1IPRange.md) range, std::string ifname) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::string | **[ifname](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md#variable-ifname)**  |
| unsigned int | **[index](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md#variable-index)**  |
| [huint32_t](Classes/structllarp_1_1huint__t.md) | **[dnsaddr](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md#variable-dnsaddr)**  |
| std::vector< [InterfaceAddress](Classes/structllarp_1_1vpn_1_1InterfaceAddress.md) > | **[addrs](Classes/structllarp_1_1vpn_1_1InterfaceInfo.md#variable-addrs)**  |

## Public Functions Documentation

### function operator[]

```cpp
inline net::ipaddr_t operator[](
    size_t idx
) const
```

get address number N 

### function InterfaceInfo

```cpp
InterfaceInfo() =default
```


### function InterfaceInfo

```cpp
InterfaceInfo(
    IPRange range,
    std::string ifname
)
```


## Public Attributes Documentation

### variable ifname

```cpp
std::string ifname;
```


### variable index

```cpp
unsigned int index;
```


### variable dnsaddr

```cpp
huint32_t dnsaddr;
```


### variable addrs

```cpp
std::vector< InterfaceAddress > addrs;
```


-------------------------------

Updated on 2023-03-29 at 02:27:53 +0000